/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Model130
 */
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model130 {
  @SerializedName("general_information")
  private Model100 generalInformation = null;

  @SerializedName("travel_accident_claim_information")
  private TravelAccidentClaimInformation travelAccidentClaimInformation = null;

  public Model130 generalInformation(Model100 generalInformation) {
    this.generalInformation = generalInformation;
    return this;
  }

   /**
   * Get generalInformation
   * @return generalInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public Model100 getGeneralInformation() {
    return generalInformation;
  }

  public void setGeneralInformation(Model100 generalInformation) {
    this.generalInformation = generalInformation;
  }

  public Model130 travelAccidentClaimInformation(TravelAccidentClaimInformation travelAccidentClaimInformation) {
    this.travelAccidentClaimInformation = travelAccidentClaimInformation;
    return this;
  }

   /**
   * Get travelAccidentClaimInformation
   * @return travelAccidentClaimInformation
  **/
  @ApiModelProperty(required = true, value = "")
  public TravelAccidentClaimInformation getTravelAccidentClaimInformation() {
    return travelAccidentClaimInformation;
  }

  public void setTravelAccidentClaimInformation(TravelAccidentClaimInformation travelAccidentClaimInformation) {
    this.travelAccidentClaimInformation = travelAccidentClaimInformation;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model130 model130 = (Model130) o;
    return Objects.equals(this.generalInformation, model130.generalInformation) &&
        Objects.equals(this.travelAccidentClaimInformation, model130.travelAccidentClaimInformation);
  }

  @Override
  public int hashCode() {
    return Objects.hash(generalInformation, travelAccidentClaimInformation);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model130 {\n");
    
    sb.append("    generalInformation: ").append(toIndentedString(generalInformation)).append("\n");
    sb.append("    travelAccidentClaimInformation: ").append(toIndentedString(travelAccidentClaimInformation)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

